# class Net::HTTPNonAuthoritativeInformation

Response class for `Non-Authoritative Information` responses (status code 203).

The `Non-Authoritative Information` response indicates that the server is a transforming proxy (such as a Web accelerator) that received a 200 OK response from its origin, and is returning a modified version of the origin’s response.

This class also includes (indirectly) module `Net::HTTPHeader`, which gives access to its methods for getting headers.

References:

- Mozilla.

- RFC 9110.

- Wikipedia.

### Constants

HAS_BODY